View Issue Details

IDProjectCategoryView StatusLast Update
0012366LazarusLCLpublic2009-02-12 14:22
ReporterSergey BulbaAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0012366: TOpenDialog and TSaveDialog undesired feature in Win32
DescriptionCreate two forms and add OpenDialog to mainform. After calling OpenDialog.Execute mainform become unaccessable for user input (it's right), but 2nd form still can be activated by mouse clicking (but it must be disabled too, as in Delphi).

Hint: LCL must disable all application windows before calling WinAPI's GetOpenFileName, and enable all after calling (see TaskModalDialog of Delphi VCL as example).
TagsNo tags attached.
Fixed in Revision18629
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0012382 closedJesus Reyes PageSetupDialog is not always modal 

Activities

Paul Ishenin

2009-02-10 15:39

manager   ~0025245

Please test and close if ok.

Sergey Bulba

2009-02-12 14:22

reporter   ~0025311

Thanks, works now.

Issue History

Date Modified Username Field Change
2008-10-12 12:08 Sergey Bulba New Issue
2008-10-12 12:08 Sergey Bulba Widgetset => Win32
2008-10-17 21:42 Vincent Snijders LazTarget => 1.0
2008-10-17 21:42 Vincent Snijders Status new => acknowledged
2008-10-17 21:42 Vincent Snijders Target Version => 1.0.0
2008-11-02 21:58 Vincent Snijders Relationship added related to 0012382
2009-02-10 15:39 Paul Ishenin Fixed in Revision => 18629
2009-02-10 15:39 Paul Ishenin Status acknowledged => resolved
2009-02-10 15:39 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-02-10 15:39 Paul Ishenin Resolution open => fixed
2009-02-10 15:39 Paul Ishenin Assigned To => Paul Ishenin
2009-02-10 15:39 Paul Ishenin Note Added: 0025245
2009-02-12 14:22 Sergey Bulba Status resolved => closed
2009-02-12 14:22 Sergey Bulba Note Added: 0025311